Loading...
Searching...
No Matches
plocalindex.hh File Reference
Common » Parallel Communication » Parallel Computing based on Indexsets

Provides classes for use as the local index in ParallelIndexSet for distributed computing. More...

`#include <iostream>`
`#include <mpi.h>`
`#include <dune/common/parallel/indexset.hh>`
`#include <dune/common/parallel/localindex.hh>`
`#include <dune/common/parallel/mpitraits.hh>`

Go to the source code of this file.

## Classes

class | Dune::ParallelLocalIndex< T >
| An index present on the local process with an additional attribute flag. More...
struct | Dune::LocalIndexComparator< ParallelLocalIndex< T > >
class | Dune::MPITraits< ParallelLocalIndex< T > >

## Namespaces

namespace | Dune
| Dune namespace

## Functions

template<class T>
std::ostream & | Dune::operator<< (std::ostream &os, const ParallelLocalIndex< T > &index)
| Print the local index to a stream.
template<typename T>
bool | Dune::operator== (const ParallelLocalIndex< T > &p1, const ParallelLocalIndex< T > &p2)
template<typename T>
bool | Dune::operator!= (const ParallelLocalIndex< T > &p1, const ParallelLocalIndex< T > &p2)

## Variables

template<typename T>
MPI_Datatype | Dune::MPITraits< ParallelLocalIndex< T > >::type = MPI_DATATYPE_NULL

## Detailed Description

Provides classes for use as the local index in ParallelIndexSet for distributed computing.

Author
  Markus Blatt